### Hierarchy

- EventEmitter
  - internal
    - Stream

## Index

### Modules

- finished
- pipeline

### Classes

- Duplex
- PassThrough
- Readable
- Stream
- Transform
- Writable

### Interfaces

- DuplexOptions
- Pipe
- ReadableOptions
- TransformOptions
- WritableOptions

### Type aliases

- TransformCallback

### Properties

- defaultMaxListeners

### Methods

- addListener
- emit
- eventNames
- getMaxListeners
- listenerCount
- listeners
- off
- on
- once
- pipe
- prependListener
- prependOnceListener
- rawListeners
- removeAllListeners
- removeListener
- setMaxListeners
- finished
- listenerCount
- pipeline

## Type aliases

### Static TransformCallback

TransformCallback: function

- Defined in node_modules/@types/node/stream.d.ts:225

#### Type declaration

- - (error?: Error | null, data?: any): void

  - #### Parameters

    - ##### Optional error: Error | null

    - ##### Optional data: any

    #### Returns void

## Properties

### Static defaultMaxListeners

defaultMaxListeners: number

Inherited from EventEmitter.defaultMaxListeners

- Defined in node_modules/@types/node/events.d.ts:8

## Methods

### addListener

- addListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.addListener

  Overrides EventEmitter.addListener

  - Defined in node_modules/@types/node/events.d.ts:10

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### emit

- emit(event: string | symbol, ...args: any[]): boolean

- Inherited from EventEmitter.emit

  Overrides EventEmitter.emit

  - Defined in node_modules/@types/node/events.d.ts:22

  #### Parameters

  - ##### event: string | symbol

  - ##### Rest ...args: any[]

  #### Returns boolean

### eventNames

- eventNames(): Array<string | symbol>

- Inherited from EventEmitter.eventNames

  Overrides EventEmitter.eventNames

  - Defined in node_modules/@types/node/events.d.ts:23

  #### Returns Array<string | symbol>

### getMaxListeners

- getMaxListeners(): number

- Inherited from EventEmitter.getMaxListeners

  Overrides EventEmitter.getMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:19

  #### Returns number

### listenerCount

- listenerCount(type: string | symbol): number

- Inherited from EventEmitter.listenerCount

  Overrides EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:24

  #### Parameters

  - ##### type: string | symbol

  #### Returns number

### listeners

- listeners(event: string | symbol): Function[]

- Inherited from EventEmitter.listeners

  Overrides EventEmitter.listeners

  - Defined in node_modules/@types/node/events.d.ts:20

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### off

- off(event: string | symbol, listener: function): this

- Inherited from EventEmitter.off

  Overrides EventEmitter.off

  - Defined in node_modules/@types/node/events.d.ts:16

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### on

- on(event: string | symbol, listener: function): this

- Inherited from EventEmitter.on

  Overrides EventEmitter.on

  - Defined in node_modules/@types/node/events.d.ts:11

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### once

- once(event: string | symbol, listener: function): this

- Inherited from EventEmitter.once

  Overrides EventEmitter.once

  - Defined in node_modules/@types/node/events.d.ts:12

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### pipe

- pipe<T>(destination: T, options?: undefined | object): T

- - Defined in node_modules/@types/node/stream.d.ts:5

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### destination: T

  - ##### Optional options: undefined | object

  #### Returns T

### prependListener

- prependListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependListener

  Overrides EventEmitter.prependListener

  - Defined in node_modules/@types/node/events.d.ts:13

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### prependOnceListener

- prependOnceListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.prependOnceListener

  Overrides EventEmitter.prependOnceListener

  - Defined in node_modules/@types/node/events.d.ts:14

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### rawListeners

- rawListeners(event: string | symbol): Function[]

- Inherited from EventEmitter.rawListeners

  Overrides EventEmitter.rawListeners

  - Defined in node_modules/@types/node/events.d.ts:21

  #### Parameters

  - ##### event: string | symbol

  #### Returns Function[]

### removeAllListeners

- removeAllListeners(event?: string | symbol): this

- Inherited from EventEmitter.removeAllListeners

  Overrides EventEmitter.removeAllListeners

  - Defined in node_modules/@types/node/events.d.ts:17

  #### Parameters

  - ##### Optional event: string | symbol

  #### Returns this

### removeListener

- removeListener(event: string | symbol, listener: function): this

- Inherited from EventEmitter.removeListener

  Overrides EventEmitter.removeListener

  - Defined in node_modules/@types/node/events.d.ts:15

  #### Parameters

  - ##### event: string | symbol

  - ##### listener: function

    - - (...args: any[]): void

      - #### Parameters

        - ##### Rest ...args: any[]

        #### Returns void

  #### Returns this

### setMaxListeners

- setMaxListeners(n: number): this

- Inherited from EventEmitter.setMaxListeners

  Overrides EventEmitter.setMaxListeners

  - Defined in node_modules/@types/node/events.d.ts:18

  #### Parameters

  - ##### n: number

  #### Returns this

### Static finished

- finished(stream: ReadableStream | WritableStream | ReadWriteStream, callback: function): function

- - Defined in node_modules/@types/node/stream.d.ts:245

  #### Parameters

  - ##### stream: ReadableStream | WritableStream | ReadWriteStream

  - ##### callback: function

    - - (err?: ErrnoException): void

      - #### Parameters

        - ##### Optional err: ErrnoException

        #### Returns void

  #### Returns function

  - - (): void

    - #### Returns void

### Static listenerCount

- listenerCount(emitter: EventEmitter, event: string | symbol): number

- Inherited from EventEmitter.listenerCount

  - Defined in node_modules/@types/node/events.d.ts:7
  deprecated

    since v4.0.0

  #### Parameters

  - ##### emitter: EventEmitter

  - ##### event: string | symbol

  #### Returns number

### Static pipeline

- pipeline<T>(stream1: ReadableStream, stream2: T, callback?: undefined | function): T
- pipeline<T>(stream1: ReadableStream, stream2: ReadWriteStream, stream3: T, callback?: undefined | function): T
- pipeline<T>(stream1: ReadableStream, stream2: ReadWriteStream, stream3: ReadWriteStream, stream4: T, callback?: undefined | function): T
- pipeline<T>(stream1: ReadableStream, stream2: ReadWriteStream, stream3: ReadWriteStream, stream4: ReadWriteStream, stream5: T, callback?: undefined | function): T
- pipeline(streams: Array<ReadableStream | WritableStream | ReadWriteStream>, callback?: undefined | function): WritableStream
- pipeline(stream1: ReadableStream, stream2: ReadWriteStream | WritableStream, ...streams: Array<ReadWriteStream | WritableStream | function>): WritableStream

- - Defined in node_modules/@types/node/stream.d.ts:250

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: T

  - ##### Optional callback: undefined | function

  #### Returns T

- - Defined in node_modules/@types/node/stream.d.ts:251

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream

  - ##### stream3: T

  - ##### Optional callback: undefined | function

  #### Returns T

- - Defined in node_modules/@types/node/stream.d.ts:252

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream

  - ##### stream3: ReadWriteStream

  - ##### stream4: T

  - ##### Optional callback: undefined | function

  #### Returns T

- - Defined in node_modules/@types/node/stream.d.ts:259

  #### Type parameters

  - #### T: WritableStream

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream

  - ##### stream3: ReadWriteStream

  - ##### stream4: ReadWriteStream

  - ##### stream5: T

  - ##### Optional callback: undefined | function

  #### Returns T

- - Defined in node_modules/@types/node/stream.d.ts:267

  #### Parameters

  - ##### streams: Array<ReadableStream | WritableStream | ReadWriteStream>

  - ##### Optional callback: undefined | function

  #### Returns WritableStream

- - Defined in node_modules/@types/node/stream.d.ts:268

  #### Parameters

  - ##### stream1: ReadableStream

  - ##### stream2: ReadWriteStream | WritableStream

  - ##### Rest ...streams: Array<ReadWriteStream | WritableStream | function>

  #### Returns WritableStream

Generated using TypeDoc